petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatIsHermitian

Test whether a matrix is Hermitian

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatIsHermitian(Mat A,PetscReal tol,PetscBool  *flg)

Collective on Mat

### Input Parameter

| A | - the matrix to test
| tol | - difference between value and its transpose less than this amount counts as equal (use 0.0 for exact Hermitian)

### Output Parameters

flg -the result

### See Also

MatTranspose(), MatIsTranspose(), MatIsHermitian(), MatIsStructurallySymmetric(), MatSetOption(),
MatIsSymmetricKnown(), MatIsSymmetric()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages